Summary: Ruby language bindings for the FOX GUI toolkit
Name: FXRuby
Version: 1.0.3
Release: 1
License: LGPL
Group: Applications/Ruby
Source: http://prdownloads.sourceforge.net/fxruby/%{name}-%{version}.tar.gz
URL: http://fxruby.sourceforge.net/
Packager: Ian Macdonald <ian@caliban.org>
BuildRoot: /var/tmp/%{name}-%{version}
BuildRequires: ruby >= 1.7.0
Requires: ruby >= 1.7.0, fox-devel

%description
This is FXRuby, the Ruby language bindings for the FOX GUI toolkit.

%prep
%setup

%build
eval sitedir=`ruby -r rbconfig -e 'p Config::CONFIG["sitedir"]'`
mkdir -p $RPM_BUILD_ROOT$sitedir
eval sitelibdir=`ruby -r rbconfig -e 'p Config::CONFIG["sitelibdir"]'`
mkdir -p $RPM_BUILD_ROOT$sitelibdir
eval sitearchdir=`ruby -r rbconfig -e 'p Config::CONFIG["sitearchdir"]'`
mkdir -p $RPM_BUILD_ROOT$sitearchdir
ruby install.rb config \
	--prefix=$RPM_BUILD_ROOT/%{_prefix} \
	--site-ruby-common=$RPM_BUILD_ROOT$sitedir \
	--site-ruby=$RPM_BUILD_ROOT$sitelibdir \
	--so-dir=$RPM_BUILD_ROOT$sitearchdir \
	-- --with-fox-include=%{_includedir}/fox
ruby install.rb setup

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
ruby install.rb install
find $RPM_BUILD_ROOT%{_prefix} -type f -print | ruby -pe 'sub("^'$RPM_BUILD_ROOT'", "")' > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
%doc ANNOUNCE ChangeLog LICENSE README index.html
%doc -P doc/ examples/

%changelog
* Sun Mar 31 2002 Ian Macdonald <ian@caliban.org>
- 1.0.3
